libmp3splt: Wrap utilities

| libmp3splt 0.9.3.1519 Lossless library for splitting audio formats like mp3, ogg vorbis and FLAC. |

Loading...
Searching...
No Matches
Wrap utilities
Using libmp3splt » Confirmation and error codes » Options » Input filename and paths » Splitpoints handling » Tags handling » Split functions » Import splitpoints » Export splitpoints

## Topics
| Other utilities

## Typedefs
typedef struct _splt_wrap | splt_wrap
typedef struct _splt_one_wrap | splt_one_wrap

## Functions
splt_wrap * | mp3splt_get_wrap_files (splt_state *state, splt_code *error)
void | mp3splt_wrap_init_iterator (splt_wrap *wrap)
const splt_one_wrap * | mp3splt_wrap_next (splt_wrap *wrap)
char * | mp3splt_wrap_get_wrapped_file (const splt_one_wrap *one_wrap)

## Detailed Description

## Typedef Documentation

## ◆ splt_wrap

typedef struct _splt_wrap splt_wrap

Structure containg the wrapped filenames found inside the input filename.

All members are private.

See also
  mp3splt_get_wrap_files
  mp3splt_wrap_init_iterator
  mp3splt_wrap_next

Definition at line 2018 of file mp3splt.h.

## ◆ splt_one_wrap

typedef struct _splt_one_wrap splt_one_wrap

Structure containing one wrapped file All members are private.

See also
  mp3splt_wrap_get_wrapped_file

Definition at line 2026 of file mp3splt.h.

## Function Documentation

## ◆ mp3splt_get_wrap_files()

splt_wrap * mp3splt_get_wrap_files | ( | splt_state * | state,
|  | splt_code * | error )

Returns the wrapped files found from the input filename set with mp3splt_set_filename_to_split.

Parameters

  [in] | state | Main state.
  [out] | error | Possible error; can be NULL.

Returns
  Wrapped files found.

See also
  mp3splt_wrap_init_iterator
  mp3splt_wrap_next

## ◆ mp3splt_wrap_init_iterator()

void mp3splt_wrap_init_iterator | ( | splt_wrap * | wrap | ) |

Initialisation of the iterator for use with mp3splt_wrap_next.

Parameters

  [in] | wrap | Wrapped files returned with mp3splt_get_wrap_files.

See also
  mp3splt_wrap_next

## ◆ mp3splt_wrap_next()

const splt_one_wrap * mp3splt_wrap_next | ( | splt_wrap * | wrap | ) |

Returns the next wrapped file from the `wrap`.

Parameters

  [in] | wrap | Wrapped files to be processed.

Returns
  Next wrapped file of `wrap` or NULL if none found or no wrapped file remains.

See also
  mp3splt_wrap_get_wrapped_file

## ◆ mp3splt_wrap_get_wrapped_file()

char * mp3splt_wrap_get_wrapped_file | ( | const splt_one_wrap * | one_wrap | ) |

Returns the wrapped file from `one_wrap`.

Result must be freed.